Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

units: security update to 2.18 #1572

Closed
l2dy opened this issue Jan 8, 2019 · 2 comments

Comments

Projects
None yet
2 participants
@l2dy
Copy link
Contributor

commented Jan 8, 2019

CVE IDs: N/A

Other security advisory IDs: MGASA-2019-0007

Descriptions:
A flaw was found in units. units_cur doesn't sanitize downloaded data.
This allows a maliciously intended server to execute arbitrary code
remotely on the client (rhbz#1598913).

PoC(s): https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=902935

Architectural progress:

  • AMD64 amd64
  • AArch64 arm64
  • ARMv7 armel
  • PowerPC 64-bit BE ppc64
  • PowerPC 32-bit BE powerpc
@MingcongBai

This comment has been minimized.

Copy link
Member

commented Jan 25, 2019

Fixed with 44eb52c. Closing.

@l2dy

This comment has been minimized.

Copy link
Contributor Author

commented Jan 25, 2019

Use AOSA-2019-0014.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.